INTERFACE
SUBROUTINE UPDSST ( KPROMA, KSTART, KPROF, KFNUDG, KCSS, KBLK,&
 & PXNUDG,&
 & PTS, PTP, PWS, PWP, PSNS,&
 & PLSM, PALB, PEMI, PZ0F, PZ0H, PD2, PIVEG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFNUDG
INTEGER(KIND=JPIM),INTENT(IN) :: KBLK
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PXNUDG(KFNUDG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTP(KPROMA,KCSS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWP(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSNS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLSM(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALB(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMI(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZ0F(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZ0H(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PD2(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PIVEG(KPROMA)
INTEGER(KIND=JPIM), PARAMETER :: JPKZ = KIND(PIVEG)
END SUBROUTINE UPDSST
END INTERFACE
